import { Entry } from 'awesome-collections-core';
import { IteratorMethodType } from './types';
import { DoublyLinkedListNode } from '../../linked-list-node';
import { LinkedListDataStructure } from '../../raw-linked-list';
declare function createNextFn<T>(nodes: LinkedListDataStructure<T>, iterableState: {
    count: number;
    current?: DoublyLinkedListNode<T>;
}, kind: IteratorMethodType): () => {
    value: number | T | Entry<T>;
    done: boolean;
};
export { createNextFn };
