import { Entry } from 'awesome-collections-core';
import { IteratorMethodType } from './types';
import { LinkedListDataStructure } from '../../raw-linked-list';
declare function generateIterator<T = any>(kind: IteratorMethodType.values, nodes: LinkedListDataStructure<T>): Iterable<T> & Iterator<T>;
declare function generateIterator<T = any>(kind: IteratorMethodType.keys, nodes: LinkedListDataStructure<T>): Iterable<number> & Iterator<number>;
declare function generateIterator<T = any>(kind: IteratorMethodType.entries, nodes: LinkedListDataStructure<T>): Iterable<Entry<T>> & Iterator<Entry<T>>;
export { generateIterator };
