import { DoublyLinkedListNode } from '../../linked-list-node';
import { LinkedListDataStructure } from '../../raw-linked-list';
/**
 * Returns a specified Node from the linked list..
 * @returns Returns the a shallow copy of the Node associated with the specified index. If no Node is associated with the index, undefined is returned.
 */
export declare function _getNode<T = any>(nodes: LinkedListDataStructure, index: number): DoublyLinkedListNode<T> | undefined;
